HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostInvoiceitemsInvoiceitem

Contains the different functions to run the operation postInvoiceitemsInvoiceitem

  • 9 types
  • 5 values
  • Packagestripeapi-3.0.0.0
  • Exports14
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostInvoiceitemsInvoiceitem.hs
valuepostInvoiceitemsInvoiceitem
  1. :: MonadHTTP m
  2. => Text

    invoiceitem | Constraints: Maximum length of 5000

  3. -> Maybe PostInvoiceitemsInvoiceitemRequestBody

    The request body to send

  4. -> ClientT m (Response PostInvoiceitemsInvoiceitemResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/invoiceitems/{invoiceitem}

<p>Updates the amount or description of an invoice item on an upcoming invoice. Updating an invoice item is only possible before the invoice it’s attached to is closed.</p>

Defines the object schema located at paths./v1/invoiceitems/{invoiceitem}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoiceitems/{invoiceitem}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.discounts.anyOf.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoiceitems/{invoiceitem}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.discounts.anyOf in the specification.

The coupons & existing discounts which apply to the invoice item or invoice line item. Item discounts are applied before invoice discounts. Pass an empty string to remove previously-defined discounts.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoiceitems/{invoiceitem}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoiceitems/{invoiceitem}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.period in the specification.

The period associated with this invoice item. When set to different values, the period will be rendered on the invoice.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoiceitems/{invoiceitem}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.price_data in the specification.

Data used to generate a new Price object inline.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoiceitems/{invoiceitem}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.price_data.properties.tax_behavior in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoiceitems/{invoiceitem}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.tax_rates.anyOf in the specification.

The tax rates which apply to the invoice item. When set, the `default_tax_rates` on the invoice do not apply to this invoice item. Pass an empty string to remove previously-defined tax rates.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postInvoiceitemsInvoiceitem.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostInvoiceitemsInvoiceitemResponseError is used.

Constructors

Instances2Eq, Show